
Partial Class Welcome
    Inherits System.Web.UI.Page
    Dim Kdnrtext As String = String.Empty
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        VERAG_VARIABLES.initerrorcount()
        If Me.Page.User.Identity.IsAuthenticated Then
            Try
                Kdnrtext = Session.Item("CustomerID")
                If Page.IsPostBack Then
                    Page.MaintainScrollPositionOnPostBack = True
                Else
                    Page.MaintainScrollPositionOnPostBack = False
                End If
            Catch A As UnauthorizedAccessException When String.IsNullOrEmpty(Kdnrtext)
                MsgBox("Dieser Bereich ist nicht gestattet! Ein Fehler ist bei der Validierung der ID aufgetreten! Bitte erneut versuchen!", MsgBoxStyle.Information, "Error in User Area!")
            End Try
        End If
    End Sub
End Class
